using System;
using System.Collections.Generic;
using System.Linq;
using System.Numerics;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());
            while (t-- > 0)
            {
                long n = long.Parse(Console.ReadLine());
                long suma = 0;
                if (n <= 10) suma = n;
                else if (n < 25) suma = 10;
                else if (n < 29) suma = 10 + n - 24;
                else if (n < 35) suma = 15;
                else if (n < 37) suma = 16;
                else if (n < 40) suma = 16 + n - 36;
                else if (n < 45) suma = 19;
                else if (n < 47) suma = 20;
                else if (n < 50) suma = 20 + n - 46;
                else if (n < 55) suma = 23;
                else if (n < 60) suma = 23 + n - 54;
                else if (n < 67) suma = 28;
                else if (n < 70) suma = 28 + n - 66;
                else if (n < 77) suma = 31;
                else if (n < 80) suma = 31 + n - 76;
                else if (n < 88) suma = 34;
                else if (n < 90) suma = 34 + n - 87;
                else if (n < 99) suma = 36;
                else if (n < 255) suma = 37;

                else if (n < 260) suma = 37 + n - 254;
                else if (n < 267) suma = 42;
                else if (n < 270) suma = 42 + n - 266;
                else if (n < 277) suma = 45;

                else if (n < 280) suma = 45 + n - 276;
                else if (n < 288) suma = 48;
                else if (n < 290) suma = 48 + n - 287;
                else if (n < 299) suma = 50;
                else if (n < 355) suma = 51;
                else if (n < 357) suma = 52;

                else if (n < 360) suma = 52 + n - 356;
                else if (n < 377) suma = 55;
                else if (n < 380) suma = 55 + n - 376;

                else if (n < 388) suma = 58;
                else if (n < 390) suma = 58 + n - 387;
                else if (n < 399) suma = 60;
                else if (n < 455) suma = 61;

                else if (n < 457) suma = 62;
                else if (n < 460) suma = 62 + n - 456;

                else if (n < 477) suma = 65;
                else if (n < 480) suma = 65 + n - 476;
                else if (n < 488) suma = 68;
                else if (n < 490) suma = 68 + n - 487;
                else if (n < 499) suma = 70;
                else if (n < 555) suma = 71;
                else if (n < 560) suma = 71 + n - 554;
                else if (n < 567) suma = 76;
                else if (n < 570) suma = 76 + n - 566;
                else if (n < 577) suma = 79;
                else if (n < 580) suma = 79 + n - 576;
                else if (n < 588) suma = 82;
                else if (n < 590) suma = 82 + n - 587;
                else if (n < 599) suma = 84;
                else if (n < 677) suma = 85;
                else if (n < 680) suma = 85 + n - 676;
                else if (n < 688) suma = 88;
                else if (n < 690) suma = 88 + n - 687;
                else if (n < 699) suma = 90;
                else if (n < 777) suma = 91;
                else if (n < 780) suma = 91 + n - 776;
                else if (n < 788) suma = 94;
                else if (n < 790) suma = 94 + n - 787;
                else if (n < 799) suma = 96;
                else if (n < 888) suma = 97;
                else if (n < 890) suma = 97 + n - 887;
                else if (n < 899) suma = 99;
                else if (n < 999) suma = 100;
                else if (n < 2555) suma = 101;
                Console.WriteLine(suma);
            }

        }
    }
}